Search documentation of tiger_stripe

# Stripe.Services.FinancialConnections.TransactionService (tiger_stripe v0.1.1)

Copy Markdown View Source

BankConnectionsResourceTransaction

A Transaction represents a real transaction that affects a Financial Connections Account balance.

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List Transactions

retrieve(client, transaction, params \\ %{}, opts \\ [])

Retrieve a Transaction

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List Transactions

Returns a list of Financial Connections `Transaction` objects.

# retrieve(client, transaction, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a Transaction

Retrieves the details of a Financial Connections `Transaction`